
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>linux 基础学习之五：shell脚本学习(2)——基本语法 / iVAN</title>

    <meta name="description" content="linux 基础学习之五：shell脚本学习(2)——基本语法 1. 第一行必须是&quot;#!/bin/sh&quot; 它不是注释,&quot;#!/bin/sh&quot;是对shell的声明,说明你所用的是那种类型的shell及其路径所在: 如果没有声明,则脚本将在默认的shell中执行,默认shell是由用户所在的系统定义为执行shell脚本的shell. 如果脚本被编写为在Kornshell ksh中运行,而默认运行shell脚本的为C shell csh,则脚本在执行过程中很可能失败. 所以建议大家就把&quot;#!/bin/sh&quot ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">linux 基础学习之五：shell脚本学习(2)——基本语法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>1. 第一行必须是"#!/bin/sh"</h3>
<ul>
<li>它不是注释，"#!/bin/sh"是对shell的声明，说明你所用的是那种类型的shell及其路径所在；</li>
<li>如果没有声明，则脚本将在默认的shell中执行，默认shell是由用户所在的系统定义为执行shell脚本的shell.</li>
<li>如果脚本被编写为在Kornshell ksh中运行，而默认运行shell脚本的为C shell csh,则脚本在执行过程中很可能失败。</li>
<li>所以建议大家就把"#!/bin/sh"当成C 语言的main函数一样，写shell必须有，以使shell程序更严密。</li>
</ul>
<h3>2. 注释：一行开头为 #</h3>
<h3>3. 定义变量</h3>
<p>定义单变量</p>
<pre>p_name='kang'
</pre>
<p>使用单变量</p>
<pre>echo  $p_name'.js'    # 输出kang.js
echo  $p_name.js      # 输出kang.js
cp  $p_name.js  copy.js;
</pre>

<h3>4. 逻辑符号</h3>
<h4>命令1 &amp;&amp; 命令2</h4>
<p>如果左边的“命令1”执行成功，那么右边的“命令2”才会被执行。</p>
<h4>命令1 || 命令2</h4>
<p>与&amp;&amp;相反。如果“命令1”未执行成功，那么就执行“命令2”。</p>
<h4>() {}</h4>
<p>...</p>
<h3>5. 接收参数</h3>
<p>脚本文件“copy.sh”，其内容如下：</p>
<pre>m=$1
n=$2
echo $m-$n
</pre>
<p>执行命令：“sh copy.sh 111 222”；输出 111-222</p>
<h3>6. 控制流：if/then/elif/else/fi</h3>
<p>注意"["和"]"前后的空格必须有，否则提示错误</p>
<pre>m="kang2"
if [ "$m" == 'kang' ]; then
    echo 'kang'
elif [ $m == 'kang2' ]; then
    echo 'kang2'
else
    echo 'no'
fi
</pre>
<p>示例：判断文件夹</p>
<pre>if [ -d './js' ]; then
 echo 'js是文件夹'
fi
</pre>

<h3>7. 循环：for/do/done</h3>
<p>注意：循环项是以“空格”拆分的字符串</p>
<pre>name="rain man's blog"
for loop in $name; do
    echo $loop;
done
</pre>

<h3>8. 格式化输出日期</h3>

<pre>curdate="`date +%Y%m%d%H%M%S`"
echo $curdate
</pre>
<p>执行结果：20110904175817</p>
<h3>9. exist</h3>
<p>退出当前shell脚本，一般来说，返回0表示执行成功，其他值表示没有执行成功。</p>
<pre>exist 0    # 返回0
exist 1    # 返回1
</pre>

<h3>10. 系统变量</h3>

<pre>pwd=$PWD      # 当前目录
user=$USER    # 当前用户
echo $pwd
echo $user
</pre>
<p>运行脚本后输出：</p>
<pre>/home/rainman/test
rainman
</pre>
<h3>1. 第一行必须是"#!/bin/sh"</h3>
<ul>
<li>它不是注释，"#!/bin/sh"是对shell的声明，说明你所用的是那种类型的shell及其路径所在；</li>
<li>如果没有声明，则脚本将在默认的shell中执行，默认shell是由用户所在的系统定义为执行shell脚本的shell.</li>
<li>如果脚本被编写为在Kornshell ksh中运行，而默认运行shell脚本的为C shell csh,则脚本在执行过程中很可能失败。</li>
<li>所以建议大家就把"#!/bin/sh"当成C 语言的main函数一样，写shell必须有，以使shell程序更严密。</li>
</ul>
<h3>2. 注释：一行开头为 #</h3>
<h3>3. 定义变量</h3>
<p>定义单变量</p>
<pre>p_name='kang'
</pre>
<p>使用单变量</p>
<pre>echo  $p_name'.js'    # 输出kang.js
echo  $p_name.js      # 输出kang.js
cp  $p_name.js  copy.js;
</pre>

<h3>4. 逻辑符号</h3>
<h4>命令1 &amp;&amp; 命令2</h4>
<p>如果左边的“命令1”执行成功，那么右边的“命令2”才会被执行。</p>
<h4>命令1 || 命令2</h4>
<p>与&amp;&amp;相反。如果“命令1”未执行成功，那么就执行“命令2”。</p>
<h4>() {}</h4>
<p>...</p>
<h3>5. 接收参数</h3>
<p>脚本文件“copy.sh”，其内容如下：</p>
<pre>m=$1
n=$2
echo $m-$n
</pre>
<p>执行命令：“sh copy.sh 111 222”；输出 111-222</p>
<h3>6. 控制流：if/then/elif/else/fi</h3>
<p>注意"["和"]"前后的空格必须有，否则提示错误</p>
<pre>m="kang2"
if [ "$m" == 'kang' ]; then
    echo 'kang'
elif [ $m == 'kang2' ]; then
    echo 'kang2'
else
    echo 'no'
fi
</pre>
<p>示例：判断文件夹</p>
<pre>if [ -d './js' ]; then
 echo 'js是文件夹'
fi
</pre>

<h3>7. 循环：for/do/done</h3>
<p>注意：循环项是以“空格”拆分的字符串</p>
<pre>name="rain man's blog"
for loop in $name; do
    echo $loop;
done
</pre>

<h3>8. 格式化输出日期</h3>

<pre>curdate="`date +%Y%m%d%H%M%S`"
echo $curdate
</pre>
<p>执行结果：20110904175817</p>
<h3>9. exist</h3>
<p>退出当前shell脚本，一般来说，返回0表示执行成功，其他值表示没有执行成功。</p>
<pre>exist 0    # 返回0
exist 1    # 返回1
</pre>

<h3>10. 系统变量</h3>

<pre>pwd=$PWD      # 当前目录
user=$USER    # 当前用户
echo $pwd
echo $user
</pre>
<p>运行脚本后输出：</p>
<pre>/home/rainman/test
rainman
</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 20:38:54</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/shell/" title="shell">shell</a>, <a href="https://www.iamivan.net/tag/%e7%a9%ba%e6%a0%bc/" title="空格">空格</a>, <a href="https://www.iamivan.net/tag/%e8%84%9a%e6%9c%ac/" title="脚本">脚本</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>linux 基础学习之五：shell脚本学习(2)——基本语法的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zePE1Np.html" rel="bookmark">shell脚本学习与总结&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.shell 脚本是区分小写的2.Unix特殊字符有: ( ; $ ? &amp; * () [] ` ' &quot; + 使用其时要进行转义()3.Shell的注释以#开头4.函数的定义Function fuction_name(){Command to execute}调用时直接用function_name.5.控制结构1)If...then语句If [ test_command ]ThenCommandsif2)If...then...else语句If [ test_command ]ThenC			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqjaxb.html" rel="bookmark">linux 基础学习之四：shell脚本学习&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.shell脚本概述 什么是 shell script 呢?  shell 我们在 认识 bash 当中已经提过了,那是一个文字接口底下让我们与系统沟通的一个工具接口,那么 script 是啥? 字面上的意义, script 是『脚本.剧本』的意思.整句话是说, shell script 是针对 shell 所写的『剧本!』 什么东西啊?呵呵!其实, shell script 是利用 shell 的功能所写的一个『程序 (program)』,这个程序是使用纯文字文件,将一些 shell 的语法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWKPPz.html" rel="bookmark">linux shell脚本学习xargs命令使用详解&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xargs是给命令传递参数的一个过滤器,也是组合多个命令的一个工具.它把一个数据流分割为一些足够小的块,以方便过滤器和命令进行处理.通常情况下,xargs从管道或者stdin中读取数据,但是它也能够从文件的输出中读取数据.xargs的默认命令是echo,这意味着通过管道传递给xargs的输入将会包含换行和空白,不过通过xargs的处理,换行和空白将被空格取代. xargs 是一个强有力的命令,它能够捕获一个命令的输出,然后传递给另外一个命令,下面是一些如何有效使用xargs 的实用例子. 1.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GYAop.html" rel="bookmark">shell脚本学习指南&lbrack;五&rsqb;&lpar;Arnold Robbins &amp;amp&semi; Nelson H&period;F&period; Beebe著&rpar;&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者告诉我们:到目前为止基础已经搞定,可以将前边所学结合shell变成进军中等难度的任务了.激动的要哭了,终于看到本书结束的曙光了 T T .码字比码代码还辛苦.不过令人兴奋的是立刻就学以致用了,花了一天半的时间处理了一个3.8G的服务器日志文件,你妹啊,破电脑内存才2G.不过切割化小然后写了几个awk文件和sh文件按规则处理合并,算是搞定了! 第十一章扩展实例:合并用户数据库 问题描述就是有两台UNIX的计算机系统,这两个系统现在要合并,用户群同样需要合并.有许多用户两台系统上都有帐号.现在合			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOe1Db.html" rel="bookmark">shell脚本学习指南&lbrack;三&rsqb;&lpar;Arnold Robbins &amp;amp&semi; Nelson H&period;F&period; Beebe著&rpar;&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天木有冷笑话,只有一个噩耗.噩耗是:今天木有冷笑话!!!不要总想着冷笑话嘛,有点追求,听毛主席的话:好好学习,天天向上! 第七章输入输出.文件与命令执行 学C的应该了解标准输入输出和错误输出吧?感觉总打很多字进度太慢,所以一直在省略类似C的东西,也方便以后看这篇文章的人能够快速学完shell脚本(或者是快速看完这本书). 读取行read命令是重要方式之一,它可以自标准输入读取行后,通过shell字段切割的功能(使用$IFS)进行切分,第一部分给第一个变量,第二部分给第二个,类推.如果切割单词多			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNvmJoM.html" rel="bookmark">shell脚本学习指南&lbrack;一&rsqb;&lpar;Arnold Robbins &amp;amp&semi; Nelson H&period;F&period; Beebe著&rpar;&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一章略过,下边从第二章开始,大家懂得.ps:这里发生了一件非常当我蛋疼的事情,非常!已经码文章码到第四章了,悲剧的按错浏览器按钮刷新掉,怎么也找不回来之前写的东西了.想死!算了,复习一边吧.以下全文均属自己总结书写,有错误的地方也未必是书中错误(当然也有可能是书中错误,但是我都会亲自操作滴),可能是我写错,请大牛指正. 第二章入门 因为第二遍写,就简单快速的写吧,尽量写清楚.大家都知道的终端命令cd啊 chmod啊 who啊之类的组合在一起加上一些控制语句,变量什么的就成shell编程了,给出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW7dwrM.html" rel="bookmark">shell脚本学习指南&lbrack;二&rsqb;&lpar;Arnold Robbins &amp;amp&semi; Nelson H&period;F&period; Beebe著&rpar;&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				该进入第四章了,刚才看到一个帖子标题:我空有一身泡妞的好本领,但可惜自己是个妞.汗-这个...音乐无国界嘛,这个不应该也没性别界么? 第四章文本处理工具 书中先说明了以下排序的规则,数值的就不用说了,该大就大该小就小,但是字符型很多时候是区分声调或者重音的.在命令行中输入locale查看自己系统的编码配置.默认的是系统配置里的,但是可以自己设置排序的编码.如: 复制代码 代码如下: $ LC_ALL=C sort french-english #以传统ASCII码顺序排序 下边介绍以下排序命令s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKdRAM.html" rel="bookmark">shell脚本学习指南&lbrack;六&rsqb;&lpar;Arnold Robbins &amp;amp&semi; Nelson H&period;F&period; Beebe著&rpar;&lowbar;linux shell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学shell到现在了,一直以为自己不会犯一个大家常说的非常二的问题,结果这本书最后的时候犯了个十分2的事,晚节不保啊!!!我在测试文件路径下除了通配符*和?外还能用啥正则那样的东西,结果就在$HOME下执行了rm .* ...好吧,蛋疼了一下午!还木找回任何一个配置文件.警示后人,千万别使用rm试通配符!任何时候小心使用rm! 第十四章shell可移植性议题和扩展 可以先通读这篇文章.想写出好的可移植性shell,不仅要了解各种shell版本间的差异,还要有很多编程技巧,比如尽量从环境变量中获取			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myw6glz.html" rel="bookmark">《Linux命令行与Shell脚本编程大全第2版》读书笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				公司说不准用云笔记了,吓得我赶紧把笔记贴到博客上先..... 近3年前的了,只有一半的章节,后面的没空记录了.... 第1章 可以cat /proc/meminfo文件来观察Linux系统上虚拟内存的当前状态 ipcs命令专门用来查看系统上的当前共享内存页面 Ubuntu使用一个表来管理在系统开机时要自动启动的进程,在/etc/init.d目录,可将开机时启动或停止某个应用的脚本放在这个目录下.这些脚本通过/etc/rcX.d目录下的入口启动,这里X代表运行级(run level) Linux才			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8NABb.html" rel="bookmark" class="title">设计理论入门：Web交互易用性指导原则</a>
					<div>
						1. 输入控件的自动聚焦和可用键盘切换输入焦点 使用JavaScript实现页面加载完成后立即自动聚焦(focus)到第一个输入控件.可用TAB键(IE缺省实现)或方向键切换聚焦到下一个输入控件. 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyyVlM.html" rel="bookmark" class="title">Win2K Internet服务器安全构建指南&lpar;二&rpar;&lpar;IIS篇&rpar;</a>
					<div>
						iis|安全|服务器 路由和远程访问服务(RRAS)能够配置出更加灵活复杂的信息包过滤器,尽管过滤方式是静态的,但它的过滤细节却很多,包括信息包方向.IP地址.各种协议类型. 3.IPSec Poli ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5qR6p.html" rel="bookmark" class="title">Photoshop修坏照片之完美去阴影法</a>
					<div>
						在我们的生活当中,拍摄的照片很难尽善尽美.下面这张可爱宝宝的照片,有一个很大的阴影,怎么把它去掉呢,下面大家跟我一起来. 本教程适合学习者:photoshop中级使用者进阶 本教程重点:色彩调整层的用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQVRWM.html" rel="bookmark" class="title">《java深度历险》读书笔记（一）</a>
					<div>
						笔记 最近开始看 王森先生的&lt;java深度历险&gt;,从我一借到这本书就爱不释手,书里的内容非常吸引人.可以说这本书有助于我们对java程序运行过程有更深的理解.所以我将记录一些书中的重要结论 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq47Gb.html" rel="bookmark" class="title">编程管理SQL SERVER的帐号</a>
					<div>
						server|编程 每个人都关心数据安全.如果不关心的话,可能没有意识到访问服务器中的敏感数据是非常容易的.因为SQL SERVER在这方面已经替我们考虑过了,所以在我们开发应用程序就可以直接使用SQ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRBW8z.html" rel="bookmark" class="title">SQL Server误区：使用BACKUP &period;&period;&period; WITH CHECKSUM可以替代DBCC CheckDB</a>
					<div>
						误区 #27:使用BACKUP ... WITH CHECKSUM可以替代DBCC CheckDB 错误 乍一看,由于BACKUP WITH CHECKSUM会检测所有分配出去的页的校验和的值,这个误 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3N2xJz.html" rel="bookmark" class="title">无线网络如何隐藏电脑</a>
					<div>
						一.无线收集中怎么潜匿电脑 要在无线收集中潜匿自己的电脑,体例有良多,例如单击&quot;起头/运行&quot;,然后输入&quot;cmd&quot;开启呼吁提醒符窗口,在该窗口中输入&quot;n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2ZerM.html" rel="bookmark" class="title">C语言基础教程（六）Turbo C程序设计初步&lpar;1&rpar;</a>
					<div>
						本节主要介绍Turbo C程序设计的基本步骤及如何编译.调试和运行源程序.并给出Turbo C的常用编辑命令.最后介绍Turbo C编译.连接和运行时的常见错误. 一.Turbo C程序设计基本步骤  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKdjVp.html" rel="bookmark" class="title">正则表达式教程之选择&sol;编组和后向引用</a>
					<div>
						选择与编组 选择允许使用 '|' 字符来在两个或多个候选项中进行选择.通过扩展章节标题的正则表达式,可以将其扩充为不仅仅适用于章节标题的表达式.不过,这可没有想象的那么直接.在使用选择时,将匹配'|' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjgB3p.html" rel="bookmark" class="title">wps怎么给文章添加多级标题&quest;</a>
					<div>
						  wps怎么给文章添加多级标题?         1.选取一篇文章,点击视图--文档结构图,看看当前的标题格式,是否符合要求,不符合的话,见下一步 2.开始--正文(右击),点击修改样式把字体字号改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6wAdz.html" rel="bookmark" class="title">PhotoShop鼠绘创作作品破茧前夜教程</a>
					<div>
						1.新建画布600x600,原本太小模糊 2.新建图层命名蛋,并填充深颜色,这个层是作为边缘使用的. 3.新建图层命名为蛋1填充浅颜色,并自由变换,等比例缩小一点,露出下面的图层.(因为后期要模糊,所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYAvjM.html" rel="bookmark" class="title">win7共享无线上网操作</a>
					<div>
						  win7共享无线上网操作 1.运行 netsh wlan set hostednetwork mode=allow ssid=liudong key=12345678 2.打开网络共享中心,点击& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd66G6b.html" rel="bookmark" class="title">无法创建目录或文件的解决方法</a>
					<div>
						无法创建目录或文件的原因分析和解决办法(小提示:将磁盘格式由FAT32转换成NTFS格式是解决无法创建目录或文件的最佳办法): 1.磁盘为FAT32格式,很多MP3.U盘在复制文件时,容易产生这个问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3EQAM.html" rel="bookmark" class="title">PS创建秋天时节模特拿伞场景</a>
					<div>
						Step 1 在1200 × 1000像素大小创建一个新的文件,并用白色填充它(你可以用你自己的大小和颜色) .使用移动工具(V)拖动森林蓄积到你的白色帆布,如下图所示   Step 2 我使用了一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywPqlz.html" rel="bookmark" class="title">win8&period;1宽带连接错误651问题解决方法</a>
					<div>
						  win8.1宽带连接错误651问题解决方法: 描述:网卡以及驱动均正常,在ADSL第一次拨号时会遇到&quot;错误651&quot;的提示,第二次拨号才能成功连接上. 可能原因:本地服务中的相关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywO3dz.html" rel="bookmark" class="title">U盘启动模式的比较</a>
					<div>
						一.USB-HDD+:(占用1个扇区)增强的USB-HDD模式,DOS启动后显示C:盘,兼容性极高.其缺点在于对仅支持USB-ZIP的电脑无法启动. 电脑启动后首先读取此MBR,然后从指定的激活主分区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4289NM.html" rel="bookmark" class="title">Laravel 5框架学习之数据库迁移&lpar;Migrations&rpar;&lowbar;php实例</a>
					<div>
						database migrations 是laravel最强大的功能之一.数据库迁移可以理解为数据库的版本控制器. 在 database/migrations 目录中包含两个迁移文件,一个建立用户表, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ65qp.html" rel="bookmark" class="title">app-个推在使用时在收到推送过来的消息后</a>
					<div>
						问题描述 个推在使用时在收到推送过来的消息后 1.个推在使用时,手机APP是后台开启的,在锁屏状态下收不到消息,但是手机屏幕会被点亮. 2.在收到推送过来的消息后,发现通知列表里什么都没有,在通知列表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lGB8b.html" rel="bookmark" class="title">神经网络基础：七种网络单元，四种层连接方式</a>
					<div>
						2016 年 9 月,Fjodor Van Veen 写了一篇名为&lt;The Neural Network Zoo&gt;的文章(详见图文并茂的神经网络架构大盘点:从基本原理到衍生关系 ),全面盘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JVGgz.html" rel="bookmark" class="title">数据库建模-关于学生管理系统的数据流程图问题</a>
					<div>
						问题描述 关于学生管理系统的数据流程图问题 现在要做一个简单学生管理系统,现在处于需求分析阶段,但是不太懂得如何画三层数据流图 包括 用户信息管理,学籍信息管理,课程信息管理,成绩信息管理 这四大模块 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0Q7yM.html" rel="bookmark" class="title">dropdownlist-asp&period;net中findcontrol&lpar;&rpar;写在page&lowbar;load外边怎么写&quest;</a>
					<div>
						问题描述 asp.net中findcontrol()写在page_load外边怎么写? asp.net中findcontrol()写在page_load外边怎么写? 直接asp.net网站,基于3.5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnW0mM.html" rel="bookmark" class="title">html5-基于Bootstrup 3可预览的HTML5文件上传插件，Ajax上传方式，如何做出响应？</a>
					<div>
						问题描述 基于Bootstrup 3可预览的HTML5文件上传插件,Ajax上传方式,如何做出响应? http://www.htmleaf.com/html5/html5muban/201505091 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60xPYz.html" rel="bookmark" class="title">浅析如何花最少的钱打造地方人才网品牌</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 最近经济面临着调整,失业率呈现上升趋势,这就意味着越来越多的人需要进入地方人才网来寻找合适的工作,地方人才网也就因此迎来了历史性的发展机遇,但是现在地方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5adLz.html" rel="bookmark" class="title">ERP实施需避开三大雷区</a>
					<div>
						在当前企业信息化建设过程中,ERP(企业资源计划)无疑是一个热点.由财务软件厂商所推动的ERP热潮不仅波及到大型企业,而且也逐渐向中小企业扩散.可以说,多数企业都处在准备上线.正在上线或已经上线的状态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2WeOM.html" rel="bookmark" class="title">求easyUI分页，源代码</a>
					<div>
						问题描述 具体要求: 分页面板:要Pagination的样式,保留他的源代码问题在于,我想刷新数据用自己的表格样式,不要那个dataGrid表格,但是我自己尝试做了半天,怎么都做不出来.所以,想求一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GwLyp.html" rel="bookmark" class="title">Python操作SQLite简明教程&lowbar;python</a>
					<div>
						一.SQLite简介 SQLite是一个包含在C库中的轻量级数据库.它并不需要独立的维护进程,并且允许使用非标准变体(nonstandard variant)的SQL查询语句来访问数据库.一些应用可是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYEl6b.html" rel="bookmark" class="title">JSP对URL链接中的中文乱码处理方法总结&lowbar;JSP编程</a>
					<div>
						IE缺省对URL后面的参数是不编码发送的,但是Tomat缺省是按ISO8859-1来进行URL编码的,因此才会出错. 方法一: 对URL链接进行二次编码: &lt;a onclick=&quot;ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWj88z.html" rel="bookmark" class="title">饮料生产日期竟是兑奖截止时间网友质疑娃哈哈忽悠消费者</a>
					<div>
						浙江在线杭州7月7日讯(见习记者 张冰) 原本只是想买几瓶饮料解渴,无意中却发现兑奖截止日期是2010年12月31日的饮料,生产日期竟然也是这一天. 对于娃哈哈集团有限公司这一做法, 网友楼先生向民生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv43PM.html" rel="bookmark" class="title">&lbrack;音频处理&rsqb;请问怎么在C&num;中实现MP3压缩</a>
					<div>
						问题描述 我想在C#中实现把MP3从高码率压缩为低码率,比如从320KBS压缩到192KBS.请问大家通过什么方法可以实现.我在网上找了一下,很多人用lame来处理MP3,但是一般都是用WAV压缩为M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA68YKp.html" rel="bookmark" class="title">C&plus;&plus;第15周项目1&mdash;&mdash;折腾二维数组</a>
					<div>
						课程首页地址:http://blog.csdn.net/sxhelijian/article/details/7910565 [项目1-折腾二维数组]创建一个长度为5行4列的二维整型数组,通过初始化, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
